{% extends "_layout.html.twig" %}
{% block title %}{{ form.vars.data.id ? "Modifier une actualité" : "Nouvelle actualité" }}{% endblock %}
{% set _breadcrumb = [['Actualités', 'news.index'], block('title')] %}

{% block content %}
    <section class="content-header">
        <h1>
            <a href="{{ path('news.index') }}" class="btn btn-white btn-sm pull-right">
                <span class="fa fa-chevron-left"></span>
                &nbsp;Revenir aux actualités
            </a>
            {{ block('title') }}
        </h1>
    </section>
    <section class="content">
        {{ form_start(form) }}
        <div class="box box-solid">
                <div class="box-body">
                    {{ form_errors(form) }}
                    {{ form_row(form.date) }}
                    {{ form_row(form.title) }}
                    {{ form_row(form.body) }}

                    {% if form.vars.data.filename %}
                        <div class="form-group required">
                            <label class="col-sm-2 control-label">Fichier joint</label>
                            <div class="col-sm-10">
                                <div class="box-file">
                                    <i class="fa fa-download"></i>
                                    <a href="{{ path('news.download', {id: form.vars.data.id}) }}">
                                        {{ form.vars.data.filename }}
                                    </a>
                                </div>
                                {{ form_widget(form.removeFile) }}
                            </div>
                        </div>

                    {% else %}
                        {{ form_row(form.file) }}
                    {% endif %}
                </div>
            <div class="box-footer">
                    <div class="row">
                        <div class="col-sm-offset-2 col-sm-10">
                            <button type="submit" class="submit btn btn-primary btn">Enregistrer</button>
                            {% if form.vars.data.id %}
                                <a href="{{ path('news.remove', {'id': form.vars.data.id}) }}" data-toggle="modal-remote" class="btn btn-danger pull-right">Supprimer</a>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        {{ form_end(form) }}
    </section>
{% endblock %}
